OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_BasicEditor Class Reference

This class provides various functions of basic edition,
such as :
- setting header unit (WARNING : DOES NOT convert entities)
- computation of the status (Subordinate, UseFlag) of entities
of IGES Entities on a whole model
- auto correction of IGES Entities, defined both by DirChecker
and by specific service AutoCorrect
(this auto correction performs non-ambigious, rather logic,
editions)
.

`#include <IGESData_BasicEditor.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_BasicEditor (const Handle(IGESData_Protocol)&protocol)
| Creates a Basic Editor, with a new IGESModel, ready to run .
Standard_EXPORT | IGESData_BasicEditor (const Handle(IGESData_IGESModel)&model, const Handle(IGESData_Protocol)&protocol)
| Creates a Basic Editor for IGES Data, ready to run .
Standard_EXPORT Handle_IGESData_IGESModel | Model () const
| Returns the designated model .
Standard_EXPORT Standard_Boolean | SetUnitFlag (const Standard_Integer flag)
| Sets a new unit from its flag (param 14 of Global Section) Returns True if done, False if <flag> is incorrect .
Standard_EXPORT Standard_Boolean | SetUnitValue (const Standard_Real val)
| Sets a new unit from its value in meters (rounded to the closest one, max gap 1%) Returns True if done, False if <val> is too far from a suitable value .
Standard_EXPORT Standard_Boolean | SetUnitName (const Standard_CString name)
| Sets a new unit from its name (param 15 of Global Section) Returns True if done, False if <name> is incorrect Remark : if <flag> has been set to 3 (user defined), <name> is then free .
Standard_EXPORT void | ApplyUnit (const Standard_Boolean enforce=Standard_False)
| Applies unit value to convert header data : Resolution, MaxCoord, MaxLineWeight Applies unit only once after SetUnit... has been called, if <enforce> is given as True. It can be called just before writing the model to a file, i.e. when definitive values are finally known .
Standard_EXPORT void | ComputeStatus ()
| Performs the re-computation of status on the whole model (Subordinate Status and Use Flag of each IGES Entity), which can have required values according the way they are referenced (see definitions of Logical use, Physical use, etc...) .
Standard_EXPORT Standard_Boolean | AutoCorrect (const Handle(IGESData_IGESEntity)&ent)
| Performs auto-correction on an IGESEntity Returns True if something has changed, False if nothing done. Works with the specific IGES Services : DirChecker which allows to correct data in "Directory Part" of Entities (such as required values for status, or references to be null), and the specific IGES service OwnCorrect, which is specialised for each type of entity. .
Standard_EXPORT Standard_Integer | AutoCorrectModel ()
| Performs auto-correction on the whole Model Returns the count of modified entities .
## Static Public Member Functions
static Standard_EXPORT Standard_Integer | UnitNameFlag (const Standard_CString name)
| From the name of unit, computes flag number, 0 if incorrect (in this case, user defined entity remains possible) .
static Standard_EXPORT Standard_Real | UnitFlagValue (const Standard_Integer flag)
| From the flag of unit, determines value in MM, 0 if incorrect .
static Standard_EXPORT Standard_CString | UnitFlagName (const Standard_Integer flag)
| From the flag of unit, determines its name, "" if incorrect .
static Standard_EXPORT Standard_CString | IGESVersionName (const Standard_Integer flag)
| From the flag of IGES version, returns name, "" if incorrect .
static Standard_EXPORT Standard_Integer | IGESVersionMax ()
| Returns the maximum allowed value for IGESVersion Flag .
static Standard_EXPORT Standard_CString | DraftingName (const Standard_Integer flag)
| From the flag of drafting standard, returns name, "" if incorrect .
static Standard_EXPORT Standard_Integer | DraftingMax ()
| Returns the maximum allowed value for Drafting Flag .
## Private Attributes
Standard_Boolean | theunit
Handle_IGESData_Protocol | theproto
Handle_IGESData_IGESModel | themodel
Interface_GeneralLib | theglib
IGESData_SpecificLib | theslib

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_BasicEditor::IGESData_BasicEditor | ( | const Handle(IGESData_Protocol)& | protocol | ) |

Standard_EXPORT IGESData_BasicEditor::IGESData_BasicEditor | ( | const Handle(IGESData_IGESModel)& | model,
|  | const Handle(IGESData_Protocol)& | protocol
| ) |

## Member Function Documentation

Standard_EXPORT void IGESData_BasicEditor::ApplyUnit | ( | const Standard_Boolean | enforce = `Standard_False` | ) |

Standard_EXPORT Standard_Boolean IGESData_BasicEditor::AutoCorrect | ( | const Handle(IGESData_IGESEntity)& | ent | ) |

Standard_EXPORT Standard_Integer IGESData_BasicEditor::AutoCorrectModel | ( |  | ) |

Standard_EXPORT void IGESData_BasicEditor::ComputeStatus | ( |  | ) |

static Standard_EXPORT Standard_Integer IGESData_BasicEditor::DraftingMax | ( |  | ) | `[static]`

static Standard_EXPORT Standard_CString IGESData_BasicEditor::DraftingName | ( | const Standard_Integer | flag | ) | `[static]`

static Standard_EXPORT Standard_Integer IGESData_BasicEditor::IGESVersionMax | ( |  | ) | `[static]`

static Standard_EXPORT Standard_CString IGESData_BasicEditor::IGESVersionName | ( | const Standard_Integer | flag | ) | `[static]`

Standard_EXPORT Handle_IGESData_IGESModel IGESData_BasicEditor::Model | ( |  | ) | const

void IGESData_BasicEditor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_BasicEditor::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_BasicEditor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean IGESData_BasicEditor::SetUnitFlag | ( | const Standard_Integer | flag | ) |

Standard_EXPORT Standard_Boolean IGESData_BasicEditor::SetUnitName | ( | const Standard_CString | name | ) |

Standard_EXPORT Standard_Boolean IGESData_BasicEditor::SetUnitValue | ( | const Standard_Real | val | ) |

static Standard_EXPORT Standard_CString IGESData_BasicEditor::UnitFlagName | ( | const Standard_Integer | flag | ) | `[static]`

static Standard_EXPORT Standard_Real IGESData_BasicEditor::UnitFlagValue | ( | const Standard_Integer | flag | ) | `[static]`

static Standard_EXPORT Standard_Integer IGESData_BasicEditor::UnitNameFlag | ( | const Standard_CString | name | ) | `[static]`

## Field Documentation

Interface_GeneralLib IGESData_BasicEditor::theglib`[private]`

Handle_IGESData_IGESModel IGESData_BasicEditor::themodel`[private]`

Handle_IGESData_Protocol IGESData_BasicEditor::theproto`[private]`

IGESData_SpecificLib IGESData_BasicEditor::theslib`[private]`

Standard_Boolean IGESData_BasicEditor::theunit`[private]`

The documentation for this class was generated from the following file:

- IGESData_BasicEditor.hxx